Fix Unable To Piece Of Occupation Mksdcard Sdk Tool When Install Android Studio On Linux

Posted on

If you lot install Android Studio on 64-bit Linux as well as reported amongst error:
Unable to piece of employment mksdcard SDK tool

Most belike only about 32-bit libraries are missed.

If you lot are running a 64-bit version of Ubuntu, you lot involve to install only about 32-bit libraries amongst the next command:
sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 lib32z1 lib32bz2-1.0

If you lot are running 64-bit Fedora, the ascendence is:
sudo yum install zlib.i686 ncurses-libs.i686 bzip2-libs.i686

reference: Troubleshoot Android Studio – Linux libraries


When I endeavor to install the 32-bit libraries on Ubuntu 16.04.2 LTS (64-bit) on VirtualBox amongst the command:

$ sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 lib32z1 lib32bz2-1.0

The errors reported:
E: Unable to locate packet lib32bz2-1.0
E: Couldn’t discovery whatever packet yesteryear glob ‘lib32bz2-1.0’
E: Couldn’t discovery whatever packet yesteryear regex ‘lib32bz2-1.0’

To fixed it, add together 32 bit architecture amongst the command:
$ sudo dpkg –add-architecture i386
$ sudo apt-get update

Re-install amongst the command 
$ sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 lib32z1 libbz2-1.0:i386

Done: